{
  "name": "@namazi/js-lib",
  "version": "1.0.0",
  "description": "javascript library can work on node and browser",
  "main": "index.js",
  "husky": {
    "hooks": {
      "commit-msg": "commitlint -E HUSKY_GIT_PARAMS"
    }
  },
  "publishConfig": {
    "access": "public"
  },
  "scripts": {
    "dev": "webpack --mode development",
    "prod": "webpack --mode production",
    "serve": "webpack serve",
    "build:browser": "webpack --mode development && cp public/dist/bundle.js public/examples/browser",
    "build:node": "webpack --mode development && cp public/dist/bundle.js public/examples/node/ && node public/examples/node/example.js",
    "semantic-release": "semantic-release"

  },
  "repository": {
    "type": "git",
    "url": "git+ssh://git@gitlab.com/namazi.z/javascriptlibraryexample.git"
  },
  "author": "Zahra Namazi namazi.q@gmail.com",
  "license": "ISC",
  "bugs": {
    "url": "https://gitlab.com/namazi.z/javascriptlibraryexample/issues"
  },
  "homepage": "https://gitlab.com/namazi.z/javascriptlibraryexample#readme",
  "devDependencies": {
    "@babel/core": "^7.13.10",
    "@babel/preset-env": "^7.13.10",
    "@commitlint/cli": "^12.0.1",
    "@commitlint/config-conventional": "^12.0.1",
    "@semantic-release/changelog": "^5.0.1",
    "@semantic-release/commit-analyzer": "^8.0.1",
    "@semantic-release/git": "^9.0.0",
    "@semantic-release/github": "^7.2.0",
    "@semantic-release/npm": "^7.0.10",
    "@semantic-release/release-notes-generator": "^9.0.2",
    "babel-loader": "^8.2.2",
    "html-webpack-plugin": "^5.3.1",
    "husky": "^5.1.3",
    "webpack": "^5.26.3",
    "webpack-cli": "^4.5.0",
    "webpack-dev-server": "^3.11.2"
  }
}
